package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapRiwayatPenyakitVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianMedisFk")
	@NotNull(message = "PAPpengkajianMedis tidak boleh kosong")

	@Caption(value = "Object PAPpengkajianMedis")
	private PapPengkajianMedisVO paPpengkajianMedis;

	@Column(name = "ObjectPAPpengkajianMedisFk", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianMedisId;


	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosaFk")
	@NotNull(message = "Diagnosa tidak boleh kosong")

	@Caption(value = "Object Diagnosa")
	private DiagnosaVO diagnosa;

	@Column(name = "ObjectDiagnosaFk", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;

	public PapPengkajianMedisVO getPaPpengkajianMedis() {
		return paPpengkajianMedis;
	}

	public void setPaPpengkajianMedis(PapPengkajianMedisVO paPpengkajianMedis) {
		this.paPpengkajianMedis = paPpengkajianMedis;
	}

	public String getPaPpengkajianMedisId() {
		return paPpengkajianMedisId;
	}

	public void setPaPpengkajianMedisId(String paPpengkajianMedisId) {
		this.paPpengkajianMedisId = paPpengkajianMedisId;
	}

	public DiagnosaVO getDiagnosa() {
		return diagnosa;
	}

	public void setDiagnosa(DiagnosaVO diagnosa) {
		this.diagnosa = diagnosa;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

	
}
